# openssl_x509_read

(PHP 4 >= 4.0.6, PHP 5, PHP 7)

openssl_x509_read — Parse an X.509 certificate and return a resource identifier for it

### Description

openssl_x509_read ( mixed `$x509certdata` ) : resource

openssl_x509_read() parses the certificate supplied by `x509certdata` and returns a resource identifier for it.

### Parameters

`x509certdata`

  X509 certificate. See Key/Certificate parameters for a list of valid values.

### Return Values

Returns a resource identifier on success or `FALSE` on failure.